@import "../constants/background";
@import "../fonts/fonts";
@import "../constants/colors";

.projects {
  padding: 40px;

  &__title {
    font-size: 50px;
    line-height: 54px;
  }

  &__description {
    font-size: 18px;
    line-height: 20px;
  }

  &__content {

    &-item {
      max-width: 400px;

      &-title {
        top: -50px;
        padding: 15px 0;
        font-size: 18px;
        line-height: 20px;
      }

      &-description {
        font-size: 14px;
        line-height: 18px;

        &--calculator {
          bottom: -70px;
        }

        &--whack {
          bottom: -80px;
        }

        &--fav-films {
          bottom: -50px;
        }

        &--millionaire {
          bottom: -50px;
        }

        &--converter {
          bottom: -50px;
        }

        &--avalist {
          bottom: -50px;
        }

        &--to-do-list {
          bottom: -50px;
        }

        &--elem-skills {
          bottom: -70px;
        }
      }

      &-link-app {
        left: -115px;
        padding: 8px 15px;
      }

      &-link-gitlab {
        right: -125px;
        padding: 8px 15px;
      }

      &:hover &-title{
        top: 40px;
      }

      &:hover &-description{
        bottom: 60px;

        &--avalist {
          bottom: 70px;
        }

        &--to-do-list {
          bottom: 70px;
        }

        &--fav-films {
          bottom: 70px;
        }

        &--millionaire {
          bottom: 70px;
        }

        &--converter {
          bottom: 70px;
        }
      }
    }
  }
}